﻿@model DPUWebPhet10.Models.TB_APPLICATION_STUDENT
@using DPUWebPhet10.Helpers
<div class="editorStudentRow">
    @using (Html.BeginCollectionItem("Students"))
    { 
        <table>
            <tr>
                <td style="width: 120px; text-align: center;">
                    <!-- Student level -->
                    @if (@HttpContext.Current.Session["PhetCulture"].ToString().Equals("th"))
                    {                
                        @Html.DropDownListFor(model => model.STD_LEVEL_ID, new SelectList(
                      new List<Object>{ 
                           new { value = 0 , text = "-- Select --"  },
                           new { value = 1 , text = "ประถมศึกษาตอนต้น"  },
                           new { value = 2 , text = "ประถมศึกษาตอนปลาย" },
                           new { value = 3 , text = "มัธยมศึกษาตอนต้น"},
                           new { value = 4 , text = "มัธยมศึกษาตอนปลาย"},
                           new { value = 5 , text = "อุดมศึกษา"}
                        },
                      "value",
                      "text",
                                 0))
                    }
                    else
                    { 
                        @Html.DropDownListFor(model => model.STD_LEVEL_ID, new SelectList(
                      new List<Object>{ 
                           new { value = 0 , text = "-- Select --"  },
                           new { value = 1 , text = "Grade 1-3"  },
                           new { value = 2 , text = "Grade 4-6" },
                           new { value = 3 , text = "Grade 7-9"},
                           new { value = 4 , text = "Grade 10-12"},
                           new { value = 5 , text = "University Education"}
                        },
                      "value",
                      "text",
                            0))


                    }
                </td>
                <td style="width: 80px; text-align: center;">
                    <!-- Student Grade-->
                    @Html.DropDownListFor(model => model.STD_GRADE, new SelectList(
                      new List<Object>{ 
                           new { value = 1 , text = "1"  },
                           new { value = 2 , text = "2" },
                           new { value = 3 , text = "3"},
                           new { value = 4 , text = "4"},
                           new { value = 5 , text = "5"},
                           new { value = 6 , text = "6"}
                        },
                      "value",
                      "text",
                     0), new { style = "width: 100px" })
                </td>
                <td style="width: 100px; text-align: center;">
                    <!-- Student Title -->
                    @if (@HttpContext.Current.Session["PhetCulture"].ToString().Equals("th"))
                    {                
                        @Html.DropDownListFor(model => model.STD_TITLE_ID, new SelectList(
                      new List<Object>{ 
                           new { value = 0 , text = "-- Select --"  },
                           new { value = 1 , text = "เด็กชาย"  },
                           new { value = 2 , text = "เด็กหญิง" },
                           new { value = 3 , text = "นาย"},
                           new { value = 4 , text = "นางสาว"}
                        },
                      "value",
                      "text",
                                 0), new { style = "width: 100px" })
                    }
                    else
                    { 
                        @Html.DropDownListFor(model => model.STD_TITLE_ID, new SelectList(
                      new List<Object>{ 
                           new { value = 0 , text = "-- Select --"  },
                           new { value = 1 , text = "Master"  },
                           new { value = 2 , text = "Miss" },
                           new { value = 3 , text = "Mr."},
                           new { value = 4 , text = "Ms."}
                        },
                      "value",
                      "text",
                                 0))


                    }
                </td>
                <td style="width: 150px; text-align: center;">
                    @Html.EditorFor(model => model.STD_NAME)
                </td>
                <td style="width: 150px; text-align: center;">
                    @Html.EditorFor(model => model.STD_SURNAME)
                </td>
                <td style="width: 80px; text-align: center;">
                    @Html.EditorFor(model => model.STD_PHONE)
                </td>
                <td style="width: 150px; text-align: left;">
                    @Html.EditorFor(model => Model.STD_EMAIL)
                </td>
                <td style="width: 150px; text-align: left;">
                    @if (@Model.STD_BIRTH_DAY == null)
                    {
                        @Html.Label("");
                    }
                    else
                    {
                        @Html.Label(@Model.STD_BIRTH_DAY)
                    }
                </td>
                <td style="width: 150px;">
                    <label class="delete-student" style="text-align: center; cursor: pointer;" id="@Model.STD_ID">@DPUWebPhet10.Resources.Application.Application.LB_BUTTON_05</label>
                </td>
            </tr>
        </table>
        @Html.HiddenFor(model => model.STD_ID)        
        @Html.HiddenFor(model => model.STD_LEVEL_ID)
        @Html.HiddenFor(model => model.STD_GRADE)
        @Html.HiddenFor(model => model.STD_TITLE_ID)
        @Html.HiddenFor(model => model.STD_NAME)
        @Html.HiddenFor(model => model.STD_SURNAME)
        @Html.HiddenFor(model => model.STD_PHONE)
        @Html.HiddenFor(model => model.STD_BIRTH_DAY)
        @Html.HiddenFor(model => model.STD_EMAIL)
        @Html.HiddenFor(model => model.STD_IS_CONCERN)
    }
</div>
